# Interface IEchoHubClient | EchoHub Documentation
Methods the server can invoke on connected clients.

# Interface IEchoHubClient

Namespace
  EchoHub.Core.Contracts

Assembly
  EchoHub.Core.dll

Methods the server can invoke on connected clients.

    public interface IEchoHubClient

## Methods

### ChannelUpdated(ChannelDto)

    Task ChannelUpdated(ChannelDto channel)

#### Parameters

`channel` ChannelDto

#### Returns

Task

### Error(string)

    Task Error(string message)

#### Parameters

`message` string

#### Returns

Task

### ReceiveMessage(MessageDto)

    Task ReceiveMessage(MessageDto message)

#### Parameters

`message` MessageDto

#### Returns

Task

### UserJoined(string, string)

    Task UserJoined(string channelName, string username)

#### Parameters

`channelName` string
`username` string

#### Returns

Task

### UserLeft(string, string)

    Task UserLeft(string channelName, string username)

#### Parameters

`channelName` string
`username` string

#### Returns

Task

### UserStatusChanged(UserPresenceDto)

    Task UserStatusChanged(UserPresenceDto presence)

#### Parameters

`presence` UserPresenceDto

#### Returns

Task